Detach a dashboard from a template
curl --request POST \
--url https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template")
.header("X-BRONTO-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "Application Performance Dashboard",
"id": "d47ac10b-58cc-4372-a567-0e02b2c3d479",
"description": "Overview of application metrics and performance indicators",
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "5xx errors by service",
"type": "area",
"sources": [
{
"type": "metric",
"id": "7a1c4e2b-0d3f-4a5b-8c6d-9e0f1a2b3c4d"
},
{
"type": "monitor",
"id": "3f9e2c1a-7b4d-4e8f-9a2b-1c3d5e7f9a0b"
}
],
"aux": {},
"description": "This widget shows the 5xx errors by service",
"metric_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"widget_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metric_labels": {},
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}
],
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 429,
"type": "Too Many Requests",
"correlation_id": "53909ed43c544531b7a555e295960437",
"details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}dashboards
Detach a dashboard from a template
POST
/
dashboards
/
{dashboardId}
/
detach-from-template
Detach a dashboard from a template
curl --request POST \
--url https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template")
.header("X-BRONTO-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/dashboards/{dashboardId}/detach-from-template")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "Application Performance Dashboard",
"id": "d47ac10b-58cc-4372-a567-0e02b2c3d479",
"description": "Overview of application metrics and performance indicators",
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "5xx errors by service",
"type": "area",
"sources": [
{
"type": "metric",
"id": "7a1c4e2b-0d3f-4a5b-8c6d-9e0f1a2b3c4d"
},
{
"type": "monitor",
"id": "3f9e2c1a-7b4d-4e8f-9a2b-1c3d5e7f9a0b"
}
],
"aux": {},
"description": "This widget shows the 5xx errors by service",
"metric_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"widget_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metric_labels": {},
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}
],
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 429,
"type": "Too Many Requests",
"correlation_id": "53909ed43c544531b7a555e295960437",
"details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The unique identifier of the Dashboard to detach. The Dashboard must be linked to a template
Response
Dashboard updated successfully
The name of the dashboard.
Example:
"Application Performance Dashboard"
Unique identifier of the dashboard.
Example:
"d47ac10b-58cc-4372-a567-0e02b2c3d479"
The description of the dashboard.
Example:
"Overview of application metrics and performance indicators"
The widgets included in this dashboard.
Show child attributes
Show child attributes
The position and size of each widget on the dashboard.
Show child attributes
Show child attributes
Example:
{ "widget_layouts": [ { "id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f", "x": 1.25, "y": 2, "w": 20, "h": 5 } ] }
A map of key value pairs associated with the resource
Show child attributes
Show child attributes
Example:
{ "region": "eu", "environment": "production" }
Show child attributes
Show child attributes
Common metadata attached to all persisted resources.
Show child attributes
Show child attributes
